<div class="well well-lg registration">
    <div class="row">
        <div class="col-sm-offset-3 col-sm-4">
            <form class="form-horizontal" [formGroup]="registerForm" (ngSubmit)="onSubmit()">

                <div class="text-center">
                    <h2>{{ 'register.create-account' | translate }}</h2>
                    <div *ngIf="error">
                        <div class="invalid-feedback">
                            <div>{{ 'register.phone-number-error' | translate }}</div>
                        </div>
                    </div>
                </div>
        
                <br>
                <div class="form-group">
                    <label class="" for="email">{{ 'register.phone-number' | translate }}:</label>
                    <div class="">
                        <input type="text" class="form-control" formControlName="phone" placeholder="61 234 567" [ngClass]="{ 'is-invalid' : submitted && f.phone.errors }" 
                        >
                        <div *ngIf="submitted && f.phone.errors" class="invalid-feedback" required>
                            <!-- <div *ngIf="f.phone.errors.pattern">{{ 'header.numbers-only' | translate }}</div> -->
                            <div *ngIf="f.phone.errors.required">{{ 'header.required' | translate }}</div>
                            <div *ngIf="f.phone.errors.minlength">{{ 'header.phone-number-error' | translate }}</div>
                        </div>
                    </div>
                </div>
        
                <div class="form-group">
                    <label class="" for="pwd">{{ 'register.password' | translate }}:</label>
                    <div class="">
                        <input type="password" class="form-control" formControlName="password" [ngClass]="{ 'is-invalid' : submitted && f.password.errors }" maxlength="6">
                        <div *ngIf="submitted && f.password.errors" class="invalid-feedback" required>
                            <!-- <div *ngIf="f.password.errors.pattern">{{ 'header.numbers-only' | translate }}</div> -->
                            <div *ngIf="f.password.errors.required">{{ 'header.required' | translate }}</div>
                            <div *ngIf="f.password.errors.minlength">{{ 'header.password-error-less' | translate }}</div>
                            <div *ngIf="f.password.errors.maxlength">{{ 'header.password-error-more' | translate }}</div>
                        </div>
                    </div>
                </div>
        
                <div class="form-group">
                    <label class="" for="pwd">{{ 'register.password-confirm' | translate }}:</label>
                    <div class="">
                        <input type="password" class="form-control" formControlName="confirmPassword" [ngClass]="{ 'is-invalid' : submitted && f.confirmPassword.errors }" maxlength="6">
                        <div *ngIf="submitted && f.confirmPassword.errors" class="invalid-feedback" required>
                            <div *ngIf="f.confirmPassword.errors.required">{{ 'header.required' | translate }}</div>
                            <!-- <div *ngIf="f.confirmPassword.errors.pattern">{{ 'header.numbers-only' | translate }}</div> -->
                            <div *ngIf="f.confirmPassword.errors.minlength">{{ 'header.password-error-less' | translate }}</div>
                            <div *ngIf="f.confirmPassword.errors.maxlength">{{ 'header.password-error-more' | translate }}</div>
                            <div *ngIf="f.confirmPassword.errors.mustMatch">{{ 'register.password-confirm-error' | translate }}</div>
                        </div>
                    </div>
                </div>
        
                <div class="form-group">
                    <label class="" for="zone">{{ 'register.select-zone' | translate }}:</label>
                    <div class="">
                        <select class="form-control" formControlName="zone">
                            <option [ngValue]="zone.name" *ngFor="let zone of zones">{{zone.name}}</option>
                        </select>
                        <div *ngIf="submitted && f.zone.errors" class="invalid-feedback" required>
                            <div *ngIf="f.zone.errors.pattern">{{ 'register.letters-only' | translate }}</div>
                            <div *ngIf="f.zone.errors.required">{{ 'header.required' | translate }}</div>
                        </div>
                    </div>
                </div>
        
                <div class="form-group">
                    <div class="">
                        <p class="terms">{{ 'register.agreement' | translate }}</p>
                    </div>
                </div>
        
                <div class="form-group">
                    <div class="">
                        <button type="submit" class="btn btn-default">{{ 'header.register' | translate }}</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
    

</div>